import { all, call } from "redux-saga/effects";
import { applicationSagas } from "./application/application.sagas";
import { userSagas } from "./user/user.sagas";
import { reportingSagas } from "./reporting/reporting.sagas";
import { scanSagas } from "./scan/scan.sagas";
export default function* rootSaga() {
  yield all([
    call(applicationSagas),
    call(userSagas),
    call(reportingSagas),
    call(scanSagas),
  ]);
}
